{ pkgs, hyper, inputs, ... }:
{
  imports = [
    inputs.nixos-wsl.nixosModules.default
    ./system-modules/users.nix
    ./system-modules/gc.nix
    ./system-modules/docker.nix
    ./system-modules/gpg.nix
    ./system-modules/networking.nix
    ./system-modules/nixd.nix
    # ./system-modules/sops.nix
    # ./system-modules/sshd.nix
    # ./system-modules/syncthing.nix
  ];
  system.stateVersion = pkgs.version;
  # system.stateVersion = "24.11";
  wsl = {
    defaultUser = hyper.user;
    enable = true;
  };
  nix.settings.experimental-features = [ "nix-command" "flakes" ];
}
